Groovy 1.7.10

## groovy.lang
[Java] Class TracingInterceptor

    java.lang.Object
      groovy.lang.TracingInterceptor

All Implemented Interfaces:
  Interceptor

    public class TracingInterceptor
    extends Object

Field Summary
`protected Writer` | `writer`

Method Summary
`Object` | `afterInvoke(Object object, String methodName, Object[] arguments, Object result)`
`Object` | `beforeInvoke(Object object, String methodName, Object[] arguments)`
`boolean` | `doInvoke()`
`Writer` | `getWriter()`
`void` | `setWriter(Writer writer)`
`protected void` | `write(Object object, String methodName, Object[] arguments, String origin)`
`protected void` | `writeInfo(Class aClass, String methodName, Object[] arguments)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### writer

    protected Writer writer

Method Detail

### afterInvoke

    public Object afterInvoke(Object object, String methodName, Object[] arguments, Object result)

### beforeInvoke

    public Object beforeInvoke(Object object, String methodName, Object[] arguments)

### doInvoke

    public boolean doInvoke()

### getWriter

    public Writer getWriter()

### setWriter

    public void setWriter(Writer writer)

### write

    protected void write(Object object, String methodName, Object[] arguments, String origin)

### writeInfo

    protected void writeInfo(Class aClass, String methodName, Object[] arguments)

Copyright © 2003-2010 The Codehaus. All rights reserved.